Bug 426615 - gdb cannot continue a debugged program.
gdb cannot continue a debugged program.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
8
powerpc Linux
low Severity low
: ---
: ---
Assigned To: Jan Kratochvil
Fedora Extras Quality Assurance
:
Depends On: 426613
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-22 19:13 EST by David Woodhouse
Modified: 2008-01-03 02:50 EST (History)
0 users

See Also:
Fixed In Version: 6.6-39.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-03 02:50:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2007-12-22 19:13:20 EST
+++ This bug was initially created as a clone of Bug #426613 +++

Filing a clone against gdb, for the 'corrupt stack?' messages and the fact that
continuing didn't work...

(gdb) t a a bt

Thread 7 (Thread 4160156784 (LWP 7686)):
#0  0x1faf9964 in __lll_lock_wait () from /lib/libpthread.so.0
#1  0x1faf2ab0 in pthread_mutex_lock () from /lib/libpthread.so.0
#2  0x1fe72544 in fetch_callback (task=<value optimized out>, ev=0xf3dfc888)
    at adb.c:3322
#3  0x1fba0000 in run (uap=<value optimized out>) at task.c:874
#4  0x1faf0bd4 in start_thread () from /lib/libpthread.so.0
#5  0x1fa393d4 in clone () from /lib/libc.so.6
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 6 (Thread 4149671024 (LWP 7687)):
#0  0x1faf9964 in __lll_lock_wait () from /lib/libpthread.so.0
#1  0x1faf2ab0 in pthread_mutex_lock () from /lib/libpthread.so.0
#2  0x1ff1aa84 in dns_resolver_createfetch2 (res=0xf3f6d008, name=0xf2c44098, 
    type=28, domain=0xf2c44188, nameservers=0xf2c46308, 
    forwarders=<value optimized out>, client=0xf2c3d228, id=0, options=32, 
    task=0xf3dcbf10, action=0x20026b40 <query_resume>, arg=0xf2c3d008, 
    rdataset=0xf2c46408, sigrdataset=0x0, fetchp=0xf2c3d1c4) at resolver.c:6831
#3  0x20020bb4 in query_recurse (client=0xf2c3d008, qtype=28, 
    qdomain=0xf2c44188, nameservers=<value optimized out>) at query.c:3018
#4  0x20025c68 in query_find (client=0xf2c3d008, event=0x0, qtype=28)
    at query.c:3779
---Type <return> to continue, or q <return> to quit---
#5  0x20026910 in ns_query_start (client=0xf2c3d008) at query.c:4607
#6  0x20016468 in client_request (task=<value optimized out>, 
    event=<value optimized out>) at client.c:1783
#7  0x1fba0000 in run (uap=<value optimized out>) at task.c:874
#8  0x1faf0bd4 in start_thread () from /lib/libpthread.so.0
#9  0x1fa393d4 in clone () from /lib/libc.so.6
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 5 (Thread 4139185264 (LWP 7688)):
#0  0x1faf53b0 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x1fb97ccc in isc_rwlock_lock (rwl=0xf3f13b68, type=<value optimized out>)
    at rwlock.c:257
#2  0x1fec10a8 in detachnode (db=0xf3f21008, targetp=0xf6b6e874)
    at rbtdb.c:4335
#3  0x1fe7890c in dns_db_detachnode (db=0xf3f21008, nodep=0xf6b6e874)
    at db.c:525
#4  0x1ff3a434 in dns_view_find (view=0xf7fad008, name=0xf2a8b21c, type=1, 
    now=1198355445, options=1, use_hints=isc_boolean_true, dbp=0x0, nodep=0x0, 
    foundname=0xf6b6e92c, rdataset=0xf6b6e8f0, sigrdataset=0x0) at view.c:885
#5  0x1fe70b98 in dbfind_name (adbname=0xf2a8b218, now=1198355445, rdtype=1)
    at adb.c:3188
#6  0x1fe71f10 in dns_adb_createfind (adb=0x2020ed10, task=0xf3f6e6f0, 
    action=0x1ff17490 <fctx_finddone>, arg=0xf3cc7208, name=0xf6b6ec30, 
---Type <return> to continue, or q <return> to quit---
    qname=0xf3cc7210, qtype=15, options=<value optimized out>, now=1198355445, 
    target=0x0, port=53, findp=0xf6b6ebdc) at adb.c:2605
#7  0x1ff1476c in findname (fctx=0xf3cc7208, name=<value optimized out>, 
    port=0, options=15, flags=0, now=1198355445, need_alternate=0xf6b6eca4)
    at resolver.c:2139
#8  0x1ff167c4 in fctx_try (fctx=<value optimized out>) at resolver.c:2342
#9  0x1ff17758 in fctx_finddone (task=<value optimized out>, event=0x0)
    at resolver.c:1882
#10 0x1fba0000 in run (uap=<value optimized out>) at task.c:874
#11 0x1faf0bd4 in start_thread () from /lib/libpthread.so.0
#12 0x1fa393d4 in clone () from /lib/libc.so.6
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 4 (Thread 4128699504 (LWP 7689)):
#0  0x1faf53b0 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x1fb97e04 in isc_rwlock_lock (rwl=0xf3f13b68, type=<value optimized out>)
    at rwlock.c:333
#2  0x1febe80c in addrdataset (db=0xf3f21008, node=0xf2ad05f0, version=0x0, 
    now=1198355445, rdataset=0xf616caa4, options=0, addedrdataset=0xf349bbf8)
    at rbtdb.c:5464
#3  0x1fe79d5c in dns_db_addrdataset (db=0xf3f21008, node=0xf2ad05f0, 
    version=0x0, now=1198355445, rdataset=0xf616caa4, options=0, 
    addedrdataset=0xf349bbf8) at db.c:667
---Type <return> to continue, or q <return> to quit---
#4  0x1feaa9b0 in dns_ncache_add (message=0xf35b2110, cache=0xf3f21008, 
    node=0xf2ad05f0, covers=28, now=1198355445, maxttl=0, 
    addedrdataset=0xf349bbf8) at ncache.c:258
#5  0x1ff187fc in ncache_adderesult (message=0xf35b2110, cache=0xf3f21008, 
    node=0xf2ad05f0, covers=28, now=1198355445, maxttl=10800, 
    ardataset=0xf349bbf8, eresultp=0xf616dd7c) at resolver.c:4199
#6  0x1ff1d314 in resquery_response (task=0xf3f6e828, 
    event=<value optimized out>) at resolver.c:4363
#7  0x1fba0000 in run (uap=<value optimized out>) at task.c:874
#8  0x1faf0bd4 in start_thread () from /lib/libpthread.so.0
#9  0x1fa393d4 in clone () from /lib/libc.so.6
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 3 (Thread 4118213744 (LWP 7690)):
#0  0x1faf59b0 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/libpthread.so.0
#1  0x1fbb6c40 in isc_condition_waituntil (c=0xf7f74040, m=0xf7f74010, 
    t=0xf7f74038) at condition.c:59
#2  0x1fba2d58 in run (uap=<value optimized out>) at timer.c:719
#3  0x1faf0bd4 in start_thread () from /lib/libpthread.so.0
#4  0x1fa393d4 in clone () from /lib/libc.so.6
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

---Type <return> to continue, or q <return> to quit---
Thread 2 (Thread 4107727984 (LWP 7691)):
#0  0x1fa305f8 in select () from /lib/libc.so.6
#1  0x1fbb3e00 in watcher (uap=0x2007c220) at socket.c:2524
#2  0x1faf0bd4 in start_thread () from /lib/libpthread.so.0
#3  0x1fa393d4 in clone () from /lib/libc.so.6
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 1 (Thread 4160425984 (LWP 7685)):
#0  0x1f97d00c in __sigsuspend (set=0xfff2fa64)
    at ../sysdeps/unix/sysv/linux/sigsuspend.c:63
#1  0x1fba4494 in isc_app_run () at app.c:533
#2  0x20046f00 in main (argc=<value optimized out>, argv=<value optimized out>)
    at ./main.c:878
#3  0x1f96456c in generic_start_main (main=0x20046720 <main>, argc=3, 
    ubp_av=0xfff2fe64, auxvec=0xfff2fe94, init=<value optimized out>, 
    fini=<value optimized out>, rtld_fini=<value optimized out>, 
    stack_end=<value optimized out>) at ../csu/libc-start.c:220
#4  0x1f96473c in __libc_start_main (argc=<value optimized out>, 
    ubp_av=<value optimized out>, ubp_ev=<value optimized out>, 
    auxvec=<value optimized out>, rtld_fini=<value optimized out>, 
    stinfo=<value optimized out>, stack_on_entry=<value optimized out>)
    at ../sysdeps/unix/sysv/linux/powerpc/libc-start.c:92
#5  0x00000000 in ?? ()
---Type <return> to continue, or q <return> to quit---
0x1f97d00c      63        return INLINE_SYSCALL (rt_sigsuspend, 2, CHECK_SIGSET
(set), _NSIG / 8);
(gdb) 
(gdb) c
Continuing.
Warning:
Cannot insert breakpoint -3.
Error accessing memory address 0xfffffffff7fdd630: Input/output error.
Comment 1 Jan Kratochvil 2007-12-23 04:45:33 EST
Not reproducible on x86_64 and no fedora PPC machine now.
Guessing it is a regression since:

* Mon Oct 15 2007 Jan Kratochvil <jan.kratochvil@redhat.com> - 6.6-34
- Fix hardware watchpoints after inferior forks-off some process.

The patch is going to be rewritten these days anyway to fix even non-x86*.
Comment 2 Jan Kratochvil 2007-12-27 18:08:41 EST
Comment 1 is bogus.

Idea-backport from: http://sourceware.org/ml/gdb-patches/2007-03/msg00307.html

Committed to F-8 CVS:

* Thu Dec 27 2007 Jan Kratochvil <jan.kratochvil@redhat.com> - 6.6-39
- Fix (backport) PPC biarch (ppc64->ppc) addresses above 2GB (BZ 426613).
Comment 3 Jan Kratochvil 2008-01-03 02:50:49 EST
Closed at my mistaken Fedorate Updates Bug Id - Bug 426613 Comment 1.


Note You need to log in before you can comment on or make changes to this bug.